Name:           smashteroid
Version:        1.11
Release:        4%{?dist}
Summary:        Astrosmash Remake
Group:          Amusements/Games
License:        Crystal Stacker
URL:            http://www.t3-i.com/smashteroid.htm
Source0:        http://www.t3-i.com/ncdgames/astro111src.zip
Source1:        %{name}.desktop
Source2:        %{name}.png
Patch0:         astro-fixes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  allegro-devel dumb-devel desktop-file-utils
Requires:       hicolor-icon-theme

%description
Smashteroid is a remake of the old Intellivision game Astrosmash. Your job is
to defend Earth from the onslaught of asteroids.  Features three game modes
with exciting new twists.


%prep
%setup -q -c
%patch0 -p1 -z .fixes
sed -i 's/\r//' distro/readme.txt distro/history.txt source.txt


%build
pushd source
make %{?_smp_mflags} -f Makefile.unix PREFIX=%{_prefix} \
  CFLAGS="$RPM_OPT_FLAGS -fsigned-char -Wno-deprecated-declarations"
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd source
make -f Makefile.unix install PREFIX=$RPM_BUILD_ROOT%{_prefix}
popd

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc distro/readme.txt distro/history.txt source.txt license-change.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.11-4
- Autorebuild for GCC 4.3

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.11-3
- Update License tag for new Licensing Guidelines compliance

* Wed Jan 31 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.11-2
- Not only create but actually package license-change.txt
- Add Requires: hicolor-icon-theme
- Use: http://www.t3-i.com/smashteroid.htm as URL

* Thu Jan 25 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.11-1
- Initial Fedora Extras package
